Skip to main content

Account Trade List

Response

[
{
"symbol": "BNBBTC",
"id": "fad2af9e942049b6adbda1a271f990c6",
"orderId": "bb41e5663e124046bd9497a3f5692f39",
"orderListId": -1,
"price": "4.00000100",
"qty": "12.00000000",
"quoteQty": "48.000012",
"commission": "10.10000000",
"commissionAsset": "BNB",
"time": 1499865549590,
"isBuyer": true,
"isMaker": false,
"isBestMatch": true,
"isSelfTrade": true,
"clientOrderId": null
}
]
  • GET /api/v3/myTrades

Permission: SPOT_ACCOUNT_READ

Weight(IP): 10

Get trades for a specific account and symbol. Only the transaction records in the past 1 month can be queried. If you want to view more transaction records, please use the export function on the web side, which supports exporting transaction records of the past 540 days at most.

Parameters:

NameTypeMandatoryDescription
symbolstringYES
orderIdstringNOorder Id
startTimelongNOStart time, Unix millisecond timestamp
endTimelongNOEnd time, Unix millisecond timestamp
limitintNODefault 100; max 100;
recvWindowlongNO
timestamplongYES

Response:

NameDescription
symbol
iddeal id
orderIdorder id
orderListIdOrder list ID
pricePrice
qtyQuantity
quoteQtyDeal quantity
commission
commissionAsset
timeTrade time
isBuyerWhether the account was the buyer for this trade
isMakerWhether the account was the maker for this trade
isBestMatch
isSelfTradeisSelfTrade
clientOrderIdclientOrderId